# $Revision: 1.15 $, $Date: 2002/04/13 07:33:23 $
Summary:	a free AC-3 stream decoder
Summary(pl):	darmowy dekoder strumieni AC-3
Name:		ac3dec
Version:	0.6.1
Release:	4
Epoch:		1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://gusnet.cx/aaron/codecs/tarballs/%{name}-%{version}.tar.gz
Patch0:		%{name}-make.patch
Patch1:		%{name}-am_fix.patch
Patch2:		%{name}-ppc.patch
URL:		http://gusnet.cx/aaron/codecs/ac3dec.php
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
A free AC-3 stream decoder.

%description -l pl
Darmowy dekoder strumieni AC-3.

%package devel
Summary:	Header file required to build programs using ac3dec library
Summary(pl):	Pliki nagwkowe wymagane przez programy uywajce ac3dec
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files required to build programs using ac3dec library

%description devel -l pl
Pliki nagwkowe niezbdne do kompilacji programw korzystajcych z
biblioteki ac3dec.

%package static
Summary:	Static ac3dec library.
Summary(pl):	Statyczna biblioteka ac3dec.
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static ac3dec library.

%description static -l pl
Statyczna biblioteka ac3dec.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
rm -f missing
libtoolize --copy --force
aclocal
autoheader
autoconf
automake -a -c -f
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR="$RPM_BUILD_ROOT"

gzip -9nf TODO README Change*

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_includedir}/ac3

%files static
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: ac3dec.spec,v $
Revision 1.15  2002/04/13 07:33:23  kloczek
- s/rm/rm -f/

Revision 1.14  2002/04/12 23:58:43  marcus
- added patch to compiling on ppc
- rel.4.

Revision 1.13  2002/03/24 23:28:13  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.12  2002/02/22 23:28:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/02 19:53:05  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.10  2002/01/18 02:12:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/10/07 20:02:22  blues
- release 3
- am_fix patch

Revision 1.8  2001/10/03 16:44:58  filon
- added version information for requires in devel and static
- release 2

Revision 1.7  2001/07/18 03:42:41  kloczek
- spec adapterized.

Revision 1.6  2001/03/18 15:36:08  misiek
fixed kloczek's docsizm

Revision 1.5  2001/03/15 02:31:17  kloczek
- %doc moved to devel.

Revision 1.4  2001/03/14 14:27:54  misiek
new ac3dec from other author

Revision 1.3  2001/03/11 14:37:02  kloczek
- added automake, autoconf to Buildrequires.

Revision 1.2  2001/03/10 19:30:35  qboosh
- use RPM_OPT_FLAGS

Revision 1.1  2001/02/16 22:16:41  misiek
ac-3 streams decoder. new
